org.icefaces.ace.component.notificationpanel

## Interface INotificationPanel

- All Known Implementing Classes:
    NotificationPanel, NotificationPanelBase

      public interface INotificationPanel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getEffect()`
    `java.lang.String` | `getEffectSpeed()`
    `java.lang.String` | `getPosition()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isVisible()`
    `void` | `setEffect(java.lang.String effect)`
    `void` | `setEffectSpeed(java.lang.String effectSpeed)`
    `void` | `setPosition(java.lang.String position)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setVisible(boolean visible)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setEffect

          void setEffect(java.lang.String effect)

    - #### getEffect

          java.lang.String getEffect()

    - #### setEffectSpeed

          void setEffectSpeed(java.lang.String effectSpeed)

    - #### getEffectSpeed

          java.lang.String getEffectSpeed()

    - #### setPosition

          void setPosition(java.lang.String position)

    - #### getPosition

          java.lang.String getPosition()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setVisible

          void setVisible(boolean visible)

    - #### isVisible

          boolean isVisible()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.